Subject: Re: [xmpp] Russ Housley's DISCUSS on draft-ietf-xmpp-3920bis-19

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 30 Nov 2010 15:10:48 -0700

On 11/30/10 2:12 PM, Russ Housley wrote:
> Russ Housley has entered the following ballot position for
> draft-ietf-xmpp-3920bis-19.
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
> 
> 
>   The summary of changes since RFC 3920 includes:
> 
>    o  Specified that the SASL SCRAM mechanism is a mandatory-to-
>       implement technology for client-to-server streams.
>    o  Specified that TLS plus the SASL PLAIN mechanism is a mandatory-
>       to-implement technology for client-to-server streams.
>    o  Specified that support for the SASL EXTERNAL mechanism is required
>       for servers but only recommended for clients (since end-user X.509
>       certificates are difficult to obtain and not yet widely deployed).
> 
>   Yet, the Gen-ART Review from Elwyn Davies on 29 November 2010 says:
> 
>    There seems to be a lack of clarity or definiteness about the effects
>    of support of SASL being mandatory.  There are a number of places in
>    the document where the text is written as if SASL were not mandatory,
>    and others where the reverse is true but the surrounding text doesn't
>    seem to think it is mandatory..  All these places need to be looked
>    at critically to ensure that the wording is appropriate for SASL
>    being mandatory and that the whole is consistent.
> 
>   I do not want to block or delay this document, but it seems that this
>   issue can easily be resolved while handling the items raised in the
>   DISCUSS position entered by Alexey.

This might now be clear based on my reply to Elwyn Davies, but I'll
await further instructions...

Peter

-- 
Peter Saint-Andre
https://stpeter.im/